%define modname proctitle
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A92_%{modname}.ini

Summary:	Allows setting the current process name on Linux and BSD
Name:		php-%{modname}
Version:	0.1.2
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/proctitle
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	php-devel >= 3:5.2.1
BuildRequires:	dos2unix

%description
This extension allows changing the current process' name on Linux and *BSD
systems. This is useful when using pcntl_fork() to identify running processes
in process list

%prep

%setup -q -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

cp %{SOURCE1} %{inifile}

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix} \

%make
mv modules/*.so .

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc LICENSE README package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog

* Wed Jan 30 2013 oden <oden> 0.1.2-3.mga3
+ Revision: 393314
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.1.2-2.mga3
+ Revision: 377515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 spuhler <spuhler> 0.1.2-1.mga3
+ Revision: 275477
- upgrade to 0.1.2

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.1.1-13.mga2
+ Revision: 224194
- fix dos2unix syntax
- httpd restart is handled by filetriggers now

* Mon Feb 07 2011 spuhler <spuhler> 0.1.1-12.mga1
+ Revision: 48210
- removed buildroot definition from .spec
- imported package php-proctitle

